Get all conversations of agents that user owns. With option to restrict to a specific agent.
Query parameters
cursor string or null Optional
Used for fetching next page. Cursor is returned in the response.
agent_id string or null Optional
The id of the agent you're taking the action on.
call_successful enum or null Optional
The result of the success evaluation
Allowed values: success failure unknown
call_start_before_unix integer or null Optional
Unix timestamp (in seconds) to filter conversations up to this start date.
call_start_after_unix integer or null Optional
Unix timestamp (in seconds) to filter conversations after to this start date.
call_duration_min_secs integer or null Optional
Minimum call duration in seconds.
call_duration_max_secs integer or null Optional
Maximum call duration in seconds.
rating_max integer or null Optional 1-5
Maximum overall rating (1-5).
rating_min integer or null Optional 1-5
Minimum overall rating (1-5).
user_id string or null Optional
Filter conversations by the user ID who initiated them.
evaluation_params list of strings or null Optional
Evaluation filters. Repeat param. Format: criteria_id:result. Example: eval=value_framing:success
data_collection_params list of strings or null Optional
Data collection filters. Repeat param. Format: id:op:value where op is one of eq|neq|gt|gte|lt|lte|in|exists|missing. For in, pipe-delimit values.
main_languages list of strings or null Optional
Filter conversations by detected main language (language code).
page_size integer Optional 1-100Defaults to 30
How many conversations to return at maximum. Can not exceed 100, defaults to 30.
summary_mode enum Optional Defaults to exclude
Whether to include transcript summaries in the response.
Allowed values: exclude include
search string or null Optional Deprecated
Full-text or fuzzy search over transcript messages
conversation_initiation_source enum or null Optional Defaults to unknown
Enum representing the possible sources for conversation initiation.
branch_id string or null Optional
Filter conversations by branch ID.
topic_ids list of strings or null Optional
Filter conversations by topic IDs assigned during topic discovery.
exclude_statuses list of enums or null Optional
Exclude conversations with the given statuses. Useful for hiding in-progress / processing conversations from list views.
Allowed values: initiated in-progress processing done failed
tag_ids list of strings or null Optional
Filter conversations by conversation tag IDs assigned via the conversation-tags endpoints.
Response Successful Response
conversations list of objects
next_cursor string or null